Subject: Re: bug#77326: [PATCH] Add symbol-mode

From: Ship Mints <[email-masked]>
Date: Sat, 5 Apr 2025 08:28:32 -0400

On Sat, Apr 5, 2025 at 4:55 AM Eli Zaretskii <[email-masked]> wrote:

> > Cc: Gabriel Santos <[email-masked]>
> > From: Gabriel Santos <[email-masked]>
> > Date: Thu, 27 Mar 2025 19:44:21 -0300
> >
> > Greetings,
> >
> > This patch provides a new package for interacting with symbols, based on
> > the current word commands and the built-in package "subword".
> >
> > A minor mode that replaces the word commands is also provided, also
> > inspired by the subword package, but additionally on the usage of
> > defvar-keymap I made in a PR I opened for the puni package[1].
> >
> > - Points of discussion
> >
> > Would the mention of this mode be a good addition to the documentation?
> >
> > I don't know how to contribute to the docs, but I would look into doing
> > so if you think it's a good idea
> >
> > [1] <https://github.com/AmaiKinono/puni/pull/75>
> >
> > P.S.: This is being sent from a different e-mail from the patch because
> > my e-mail provider, viz. Disroot, is having issues with spam, and that
> > was blocking my messages, so I decided to create a Gmail account to go
> > around that.
>
> Thanks.
>
> Any comments to the patch, or objections to adding this mode to Emacs?
>

One nice feature this patch could have is to cycle among symbol naming
conventions: CamelCase, snakeCase, hyphen-case, underscore_case (any
others?) and that would make it convenient when a variable name with the
same components are used across modalities; e.g. in config files, json,
xml, protobufs, C/C++ vs. python, and in emacs-lisp-mode and Emacs C code,
cycling among to Fsymbol_name or Ssymbol_name?